<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_edu_include.php
| Author: Pisatel
| http://www.meweb.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($profile_method == "input") {

  $user_edu = isset($user_data['user_edu']) ? $user_data['user_edu'] : "";
  if ($this->isError()) { $user_edu = isset($_POST['user_edu']) ? stripinput($_POST['user_edu']) : $user_edu; }
   
   echo "<tr>\n";
   echo "<td class='tbl".$this->getErrorClass("user_edu")."'><label for='user_edu'>".$locale['uf_edu'].$required."</label></td>\n";
   echo "<td class='tbl".$this->getErrorClass("user_edu")."'>";
   echo "<select name='user_edu' class='textbox'>\n";
   echo "<option value=''".(empty($user_edu) ? " selected='selected'" : "").">".$locale['uf_edu_000']."</option>\n";
   echo "<option value='1'".($user_edu == '1' ? ' selected=selected' : '').">".$locale['uf_edu_001']."</option>";
   echo "<option value='2'".($user_edu == '2' ? ' selected=selected' : '').">".$locale['uf_edu_002']."</option>";
   echo "<option value='3'".($user_edu == '3' ? ' selected=selected' : '').">".$locale['uf_edu_003']."</option>";
   echo "<option value='4'".($user_edu == '4' ? ' selected=selected' : '').">".$locale['uf_edu_004']."</option>";
   echo "<option value='5'".($user_edu == '5' ? ' selected=selected' : '').">".$locale['uf_edu_005']."</option>";
   echo "<option value='6'".($user_edu == '6' ? ' selected=selected' : '').">".$locale['uf_edu_006']."</option>";
   echo "<option value='7'".($user_edu == '7' ? ' selected=selected' : '').">".$locale['uf_edu_007']."</option>";
   echo "<option value='8'".($user_edu == '8' ? ' selected=selected' : '').">".$locale['uf_edu_008']."</option>";
   echo "<option value='9'".($user_edu == '9' ? ' selected=selected' : '').">".$locale['uf_edu_009']."</option>";
   echo "</select></td>\n";
   echo "</tr>\n";
 
 if ($required) { $this->setRequiredJavaScript("user_edu", $locale['uf_edu_error']); }
 
} elseif ($profile_method == "display") {
  
  
  if ($user_data['user_edu']) {

$user_ed = array(1 => $locale['uf_edu_001'], 2 => $locale['uf_edu_002'], 3 => $locale['uf_edu_003'], 4 => $locale['uf_edu_004'], 5 => $locale['uf_edu_005'], 6 => $locale['uf_edu_006'], 7 => $locale['uf_edu_007'], 8 => $locale['uf_edu_008'], 9 => $locale['uf_edu_009']);

  
  echo "<tr>\n";
  echo "<td width='1%' class='tbl1' style='white-space:nowrap;'>".$locale['uf_edu']."</td>\n";
  echo "<td align='right' class='tbl1'>".$user_ed[$user_data['user_edu']]."</td>\n";
  echo "</tr>\n"; }
 
 
 // Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
 // Get input data
if (isset($_POST['user_edu']) && stripinput($_POST['user_edu'] || $this->_isNotRequired("user_edu"))) {
  // Set update or insert user data
  $this->_setDBValue("user_edu", stripinput($_POST['user_edu']));
 } else {
  $this->_setError("user_edu", $locale['uf_edu_error'], true); 
 }
}
?>